﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Charting;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;

namespace CamExtension
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : UserControl
    {
        private ObservableCollection<TestItem> TestItems = new ObservableCollection<TestItem>();

        public MainWindow()
        {
            InitializeComponent();

            for (int i = 0; i < 10; i++)
                TestItems.Add(new TestItem(i, i));

            this.Set3DSeries();
            this.chart.ItemsSource = TestItems;
        }

        private void Set3DSeries()
        {
            this.chart.SeriesMappings.Clear();
            SeriesMapping seriesMapping = new SeriesMapping();
            seriesMapping.SeriesDefinition = new Bar3DSeriesDefinition();
            seriesMapping.ItemMappings.Add(new ItemMapping("Test1", DataPointMember.YValue));
            this.chart.SeriesMappings.Add(seriesMapping);
        }

        private void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
            CameraExtension cameraExtension = new CameraExtension();
            chart.DefaultView.ChartArea.Extensions.Add(cameraExtension);
        }

        private void UserControl_Unloaded(object sender, RoutedEventArgs e)
        {
            chart.DefaultView.ChartArea.Extensions.Clear();
        }
    }
        

    public class TestItem
    {
        public TestItem(int Test1, int Test2)
        {
            this.Test1 = Test1;
            this.Test2 = Test2;
        }

        public int Test1 { get; set; }
        public int Test2 { get; set; }
    }  
}
